### Function

# Gtk ShortcutTrigger create_with_aliases

unstable since: 4.24

#### Declaration [src]

    GtkShortcutTrigger*
    gtk_shortcut_trigger_create_with_aliases (
      unsigned int keyval,
      GdkModifierType modifiers
    )

#### Description [src]

Creates a shortcut trigger that will trigger for any alias of the given key.

See `gdk_keyval_get_aliases()` for more information on aliases.

Available since: 4.24

#### Parameters

`keyval`

  Type: `unsigned int`

  The keyval to trigger for.

`modifiers`

  Type: `GdkModifierType`

  The modifiers that need to be present.

#### Return value

Type: `GtkShortcutTrigger`

A new `GtkShortcutTrigger`.

The caller of the function takes ownership of the data, and is responsible for freeing it.